Package org.apache.maven.scm.command.export

## Class ExportScmResultWithRevision

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.export.ExportScmResult
    - - org.apache.maven.scm.command.export.ExportScmResultWithRevision

All Implemented Interfaces:
  `java.io.Serializable`

    public class ExportScmResultWithRevision
    extends ExportScmResult

Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`ExportScmResultWithRevision​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, java.lang.String revision, boolean success)`
`ExportScmResultWithRevision​(java.lang.String commandLine, java.util.List<ScmFile> exportedFiles, java.lang.String revision)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getRevision()`

### Methods inherited from class org.apache.maven.scm.command.export.ExportScmResult

`getExportedFiles`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExportScmResultWithRevision

    public ExportScmResultWithRevision​(java.lang.String commandLine,
                                       java.lang.String providerMessage,
                                       java.lang.String commandOutput,
                                       java.lang.String revision,
                                       boolean success)

#### ExportScmResultWithRevision

    public ExportScmResultWithRevision​(java.lang.String commandLine,
                                       java.util.List<ScmFile> exportedFiles,
                                       java.lang.String revision)

### Method Detail

#### getRevision

    public java.lang.String getRevision()